ru.bitel.common.model

## Class ScheduleTime

- java.lang.Object
- - ru.bitel.common.model.ScheduleTime

-     public class ScheduleTime
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduleTime()`
    `ScheduleTime(int month, int day, int hour, int dayOfWeek, long min)`
    `ScheduleTime(ScheduleTime st)` Копирующий конструктор.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScheduleTime` | `deserialize(java.lang.String str)`
    `int` | `getDay()`
    `int` | `getDayOfWeek()`
    `java.lang.String` | `getDayOfWeekAsString()`
    `int` | `getHour()`
    `java.lang.String` | `getHumanReadable()`
    `java.lang.String` | `getHumanReadableWithoutTime()`
    `long` | `getMin()`
    `int` | `getMonth()`
    `boolean` | `isTimeTick(java.util.Calendar time)`
    `static java.lang.String` | `serialize(ScheduleTime st)`
    `void` | `setDay(int day)`
    `void` | `setDayOfWeek(int dayOfWeek)`
    `void` | `setDayOfWeekAsString(java.lang.String s)`
    `void` | `setHour(int hour)`
    `void` | `setHumanReadable(java.lang.String s)`
    `void` | `setHumanReadableWithoutTime(java.lang.String s)`
    `void` | `setMin(long min)`
    `void` | `setMonth(int month)`
    `static java.lang.String` | `toHumanReadable(ScheduleTime time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduleTime

          public ScheduleTime()

    - #### ScheduleTime

          public ScheduleTime(ScheduleTime st)

      Копирующий конструктор.
      Parameters:
        `st` -

    - #### ScheduleTime

          public ScheduleTime(int month,
                              int day,
                              int hour,
                              int dayOfWeek,
                              long min)

  - ### Method Detail

    - #### serialize

          public static java.lang.String serialize(ScheduleTime st)

    - #### deserialize

          public static ScheduleTime deserialize(java.lang.String str)

    - #### toHumanReadable

          public static java.lang.String toHumanReadable(ScheduleTime time)

    - #### isTimeTick

          public boolean isTimeTick(java.util.Calendar time)

    - #### getMonth

          public int getMonth()

    - #### setMonth

          public void setMonth(int month)

    - #### getDay

          public int getDay()

    - #### setDay

          public void setDay(int day)

    - #### getHour

          public int getHour()

    - #### setHour

          public void setHour(int hour)

    - #### getDayOfWeek

          public int getDayOfWeek()

    - #### setDayOfWeek

          public void setDayOfWeek(int dayOfWeek)

    - #### getMin

          public long getMin()

    - #### setMin

          public void setMin(long min)

    - #### getHumanReadable

          public java.lang.String getHumanReadable()

    - #### setHumanReadable

          public void setHumanReadable(java.lang.String s)

    - #### getHumanReadableWithoutTime

          public java.lang.String getHumanReadableWithoutTime()

    - #### setHumanReadableWithoutTime

          public void setHumanReadableWithoutTime(java.lang.String s)

    - #### getDayOfWeekAsString

          public java.lang.String getDayOfWeekAsString()

    - #### setDayOfWeekAsString

          public void setDayOfWeekAsString(java.lang.String s)